import OHeader from '@/components/m-header';
import request from '@/helpers/request';
import { browser } from '@/helpers/utils';
import { state } from '@/state';
import { defineComponent } from 'vue';

// 预览协议 - 原生实名认证使用
export default defineComponent({
  name: 'preview-protocol',
  data() {
    return {
      protocolHTML: '' as any
    };
  },
  async mounted() {
    try {
      // 判断是否有协议内容
      if (!this.protocolHTML) {
        const { data } = await request.get(
          '/edu-app/open/userContractRecord/queryLatestContractTemplate',
          {
            params: {
              contractType: 'WITHDRAW'
            }
          }
        );
        this.protocolHTML = data.contractTemplateContent || '';
      }
    } catch {
      //
    }
  },
  render() {
    return (
      <div id="mProtocol">
        {browser().isApp && <OHeader />}
        <div
          style="font-size: 14px;padding: 12px;color: #333;line-height: 1.4;"
          v-html={this.protocolHTML}></div>
      </div>
    );
  }
});
